MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023620Community[OCCT] OCCT:Modeling Datapublic2012-12-05 15:222016-04-20 15:50
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0023620: Follow up of 0022939 - make Bezier curve/surface evaluation thread-safe
DescriptionApparently Bezier surface/curve/2d curve were overlooked in 0022939, although they have the same approach (caching of calculated value).
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024682closedbugmaster Open CASCADE Move out B-spline cache from curves and surfaces to dedicated classes BSplCLib_Cache and BSplSLib_Cache 
related to 0026252closedbugmaster Open CASCADE GeomAdaptor_Surface should use inner adaptor to calculate values of complex surfaces 

-  Notes
(0047692)
git (administrator)
2015-11-02 09:38

Branch CR23620 has been created by azv.

SHA-1: 77635db1090e6e77861e9f233043ee393dbba127


Detailed log of new commits:

Author: azv
Date: Mon Nov 2 09:33:04 2015 +0300

    0023620: Follow up of 0022939 - make Bezier curve/surface evaluation thread-safe
    
    1. Remove cache from Geom_BezierCurve, Geom2d_BezierCurve and Geom_BezierSurface
    2. Add cache for Bezier curves into GeomAdaptor_Curve, Geom2dAdaptor_Curve and GeomAdaptor_Surface
    3. Update comments in corresponding cache classes
    4. Avoid frequent down-casting to B-splines in adaptors
(0047693)
azv (developer)
2015-11-02 09:41

Dear Mikhail,

Please, review branch CR23620.

Cache for Bezier curves and surfaces was moved into corresponding adaptors as it was done for B-splines before. So, direct using of Bezier geometry is thread-safe now.
(0047695)
git (administrator)
2015-11-02 10:39

Branch CR23620 has been updated forcibly by azv.

SHA-1: 5cb13979c7ccc8393898149725bc5b3793c07ca7
(0047696)
msv (developer)
2015-11-02 11:15

I have reviewed the fix.
Please pass it to test after CR26252 will have been tested.
(0047859)
git (administrator)
2015-11-06 08:46

Branch CR23620 has been updated forcibly by azv.

SHA-1: 394ff859d320cfb265d421db81ac13cd4e132152
(0048325)
git (administrator)
2015-11-18 10:02

Branch CR23620 has been updated forcibly by azv.

SHA-1: 22cdbe871a902f17d5cdf456e3497b353cb275c3
(0048328)
azv (developer)
2015-11-18 10:17

Branch CR23620 has been rebased on CR26252_4.

Please, test it in cooperation with CR26838_1 after the issue 0026252 will be moved to TESTED state.
(0048606)
apv (tester)
2015-11-26 14:10

Tested together with branch CR26838_1
(0053079)
git (administrator)
2016-04-17 14:14

Branch CR23620 has been deleted by kgv.

SHA-1: 22cdbe871a902f17d5cdf456e3497b353cb275c3

- Related Changesets
occt: master c8b5b3d8
Timestamp: 2015-11-02 06:33:04
Author: azv
Committer: bugmaster
Details ] Diff ]
0023620: Follow up of 0022939 - make Bezier curve/surface evaluation thread-safe

1. Remove cache from Geom_BezierCurve, Geom2d_BezierCurve and Geom_BezierSurface
2. Add cache for Bezier curves into GeomAdaptor_Curve, Geom2dAdaptor_Curve and GeomAdaptor_Surface
3. Update comments in corresponding cache classes
4. Avoid frequent down-casting to B-splines in adaptors
mod - src/BSplCLib/BSplCLib_Cache.hxx Diff ] File ]
mod - src/BSplSLib/BSplSLib_Cache.hxx Diff ] File ]
mod - src/Geom/Geom_BezierCurve.cxx Diff ] File ]
mod - src/Geom/Geom_BezierCurve.hxx Diff ] File ]
mod - src/Geom/Geom_BezierSurface.cxx Diff ] File ]
mod - src/Geom/Geom_BezierSurface.hxx Diff ] File ]
mod - src/Geom2d/Geom2d_BezierCurve.cxx Diff ] File ]
mod - src/Geom2d/Geom2d_BezierCurve.hxx Diff ] File ]
mod - src/Geom2dAdaptor/Geom2dAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Surface.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-05 15:22 Roman Lygin New Issue
2012-12-05 15:22 Roman Lygin Assigned To => jgv
2015-04-18 17:51 abv Target Version => 7.1.0
2015-04-18 17:52 abv Relationship added related to 0024682
2015-04-18 17:52 abv Assigned To jgv => azv
2015-04-18 17:52 abv Status new => assigned
2015-05-20 09:45 abv Assigned To azv => azn
2015-10-05 09:46 azv Assigned To azn => azv
2015-10-28 14:54 msv Target Version 7.1.0 => 7.0.0
2015-11-02 09:38 git Note Added: 0047692
2015-11-02 09:41 azv Note Added: 0047693
2015-11-02 09:41 azv Assigned To azv => msv
2015-11-02 09:41 azv Status assigned => resolved
2015-11-02 09:41 azv Steps to Reproduce Updated View Revisions
2015-11-02 10:39 git Note Added: 0047695
2015-11-02 11:15 msv Note Added: 0047696
2015-11-02 11:15 msv Assigned To msv => azv
2015-11-03 13:40 kgv Relationship added related to 0026252
2015-11-06 08:46 git Note Added: 0047859
2015-11-18 10:02 git Note Added: 0048325
2015-11-18 10:17 azv Note Added: 0048328
2015-11-18 10:17 azv Assigned To azv => bugmaster
2015-11-18 10:17 azv Status resolved => reviewed
2015-11-20 15:26 apv Assigned To bugmaster => apv
2015-11-23 13:36 apv Test case number => Not needed
2015-11-26 14:10 apv Note Added: 0048606
2015-11-26 14:10 apv Assigned To apv => bugmaster
2015-11-26 14:10 apv Status reviewed => tested
2015-11-27 12:21 bugmaster Changeset attached => occt master c8b5b3d8
2015-11-27 12:21 bugmaster Status tested => verified
2015-11-27 12:21 bugmaster Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053079
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker